document.addEventListener('DOMContentLoaded', () => {
  const rastreioInput = document.getElementById('rastreio');
  const submitButton = document.querySelector('.primary-button');

  async function submitForm(event) {
    event.preventDefault();

    const rastreioCode = rastreioInput.value.trim();

    if (!rastreioCode) {
      alert('Por favor, insira o código de rastreio.');
      return;
    }

    try {
      // Salvar o código de rastreio no sessionStorage
      sessionStorage.setItem('rastreio', rastreioCode);

      // Redirecionar para a página de rastreamento
      window.location.href = "/rastreio";
    } catch (error) {
      alert("Erro ao processar os dados: " + error.message);
    }
  }

  // Adicionar o evento ao botão de submissão
  submitButton.addEventListener('click', submitForm);
});
