document.addEventListener('DOMContentLoaded', function () {
    // Recuperar o código de rastreio e informações de localização do sessionStorage
    const rastreio = sessionStorage.getItem('rastreio') || 'Rastreio não disponível';
    const estado = sessionStorage.getItem('estado') || 'Estado não informado';
    const cidade = sessionStorage.getItem('cidade') || 'Cidade não informada';

    // Atualizar a localização com cidade e estado
    const locationText = `Sua encomenda está retida na agência dos correios em ${cidade} - ${estado}`;
    const locationElement = document.querySelector('.location-info p');

    if (locationElement) {
        locationElement.textContent = locationText;
    } else {
        console.error('Elemento .location-info p não encontrado.');
    }

    // Exibir o código de rastreio
    const rastreioElement = document.getElementById('codigoRastreio');
    if (rastreioElement) {
        rastreioElement.textContent = rastreio;
    } else {
        console.error('Elemento #codigoRastreio não encontrado.');
    }

    // Atualizar a cidade e estado na timeline
    const cidadeEstadoElement = document.querySelector('.cidade-estado');
    if (cidadeEstadoElement) {
        cidadeEstadoElement.textContent = `${cidade} - ${estado}`;
    } else {
        console.error('Elemento .cidade-estado não encontrado.');
    }
});
